mia-2dsegment-ahmed
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dsegment-ahmed

#### Sysnopis:

`mia-2dsegment-ahmed` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

This program implements a variation of the paper:

Mohamed N. Ahmed et. al, "A Modified Fuzzy C-Means Algorithm for Bias Field estimation and Segmentation of MRI Data", IEEE Trans. on Medical Imaging, Vol. 21, No. 3, March 2002,

changes are: p=2, and exp

#### Options:

-i, --in-file=(input, required); io

  image to be segmented. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  class probability images, the image type must support multiple images and floating point values. For supported file types see Plugin type: 2dimage/io

-a, --no-of-classes=3; int

  number of classes

-b, --bias-correct

  apply bias field correction

-c, --class-centres=

  initial class centers

-s, --spread=64; float

  spread parameter describing the strength of mattar distinction

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run a 5-class segmentation over input image input.v and store the class probability images in cls.v.

    mia-2dsegment-ahmed -i input.v -a 5 -o cls.v

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dmultiimagevar | Home | mia-2dsegment-fuzzyw